import { Component, ViewChild } from '@angular/core';
import { ResourceType } from '../is.model';
import { ISService } from '../is.service';
import { MatAccordion } from '@angular/material/expansion';


@Component({
  selector: 'app-main-menu-panels',
  templateUrl: './main-menu-panels.component.html',
  styleUrls: ['./main-menu-panels.component.css']
})
export class MainMenuPanelsComponent {

  @ViewChild(MatAccordion) 
  accordion!:MatAccordion;

  resTypes:ResourceType[] = [];

  constructor(public service:ISService) {
    this.service.loadResourceTypes((data:ResourceType[]) => this.resTypes = data);
  }
}
